Manage participant records.
Operations
searchParticipantNoteSelectFields
Searches participant notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/participant/searchParticipantNoteSelectFieldsPOST /nexum/627/2022.01/participant/searchParticipantNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"SelectableFields": {
"IncludeAllParticipantNoteFields": true,
"ParticipantNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getParticipantNotePagedListSelectFields
Retrieves a paged list of participant notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/participant/getParticipantNotePagedListSelectFieldsPOST /nexum/627/2022.01/participant/getParticipantNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllParticipantNoteFields": true,
"ParticipantNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchParticipantNotePagedSelectFields
Searches participant notes with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/participant/searchParticipantNotePagedSelectFieldsPOST /nexum/627/2022.01/participant/searchParticipantNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllParticipantNoteFields": true,
"ParticipantNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}getParticipantTransactionPagedList
Retrieves a paged list of participant transactions.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/participant/getParticipantTransactionPagedListPOST /nexum/627/2022.01/participant/getParticipantTransactionPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getParticipantTransactionListSelectFields
Retrieves a list of participant transactions with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/participant/getParticipantTransactionListSelectFieldsPOST /nexum/627/2022.01/participant/getParticipantTransactionListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"SelectableFields": {
"IncludeAllParticipantTransactionFields": true,
"ParticipantTransactionFields": {
"ActionCode": true,
"ActivityDate": true,
"AdjustmentFlag": true,
"AgId": true,
"BalanceChange": true,
"BatchSequence": true,
"Branch": true,
"Comment": true,
"CommentFlag": true,
"ConsoleNumber": true,
"Description": true,
"EffectiveDate": true,
"LoanId": true,
"MemberBranch": true,
"NewBalance": true,
"ParticipantNumber": true,
"ParticipantType": true,
"PoolNumber": true,
"PostDate": true,
"PostTime": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchParticipantTransactionSelectFields
Searches participant transactions with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
ParticipantNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/participant/searchParticipantTransactionSelectFieldsPOST /nexum/627/2022.01/participant/searchParticipantTransactionSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"ParticipantNumber": "string",
"SelectableFields": {
"IncludeAllParticipantTransactionFields": true,
"ParticipantTransactionFields": {
"ActionCode": true,
"ActivityDate": true,
"AdjustmentFlag": true,
"AgId": true,
"BalanceChange": true,
"BatchSequence": true,
"Branch": true,
"Comment": true,
"CommentFlag": true,
"ConsoleNumber": true,
"Description": true,
"EffectiveDate": true,
"LoanId": true,
"MemberBranch": true,
"NewBalance": true,
"ParticipantNumber": true,
"ParticipantType": true,
"PoolNumber": true,
"PostDate": true,
"PostTime": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}